CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
Orthodox< ClassUnderTest > Class Template Reference

`#include <Orthodox.h>`

Inheritance diagram for Orthodox< ClassUnderTest >:
[legend]
Collaboration diagram for Orthodox< ClassUnderTest >:
[legend]

List of all members.

## Public Member Functions
| Orthodox ()
## Protected Member Functions
ClassUnderTest | call (ClassUnderTest object)
void | runTest ()
| FIXME: this should probably be pure virtual.

### template<class ClassUnderTest>
class Orthodox< ClassUnderTest >

## Constructor & Destructor Documentation

template<class ClassUnderTest >

Orthodox< ClassUnderTest >::Orthodox | ( |  | ) | `[inline]`

## Member Function Documentation

template<class ClassUnderTest >

ClassUnderTest Orthodox< ClassUnderTest >::call | ( | ClassUnderTest | object | ) | `[protected]`

template<class ClassUnderTest >

void Orthodox< ClassUnderTest >::runTest | ( |  | ) | `[protected, virtual]`

FIXME: this should probably be pure virtual.

All the work for runTest is deferred to subclasses.

Reimplemented from TestCase.

The documentation for this class was generated from the following file:

- Orthodox.h

| hosts this site. |  | Send comments to: CppUnit Developers